// Copyright (c) 2014-2022 NetEase, Inc.
// All right reserved.

import 'dart:convert';
import 'package:crypto/crypto.dart' as crypto;

extension StringHash on String {

  String get md5 =>
      crypto.md5.convert(utf8.encode(this)).toString();

  String get sha1 =>
      crypto.sha1.convert(utf8.encode(this)).toString();


}