// Copyright (c) 2014-2022 NetEase, Inc.
// All right reserved.

import 'package:intl/intl.dart';

extension MillisTimeFormatter on int {
  String formatToTimeString(String dateFormat) {
    return DateFormat(dateFormat)
        .format(DateTime.fromMillisecondsSinceEpoch(this));
  }
}

extension DateTimeFormatter on DateTime {
  String formatToTimeString(String dateFormat) {
    return DateFormat(dateFormat).format(this);
  }
}
